UPDATE `tbl_users` SET `password` = MD5(`password`);

ALTER TABLE `tbl_users` ADD `user_type` VARCHAR(20) NOT NULL DEFAULT 'Normal' AFTER `id`; 

ALTER TABLE `tbl_users` ADD `auth_id` VARCHAR(255) NOT NULL DEFAULT '0' AFTER `phone`; 

ALTER TABLE `tbl_users` ADD `registered_on` VARCHAR(200) NOT NULL DEFAULT '0' AFTER `auth_id`; 

CREATE TABLE `tbl_active_log` (
  `id` int(10) NOT NULL,
  `user_id` int(10) NOT NULL,
  `date_time` varchar(200) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

ALTER TABLE `tbl_active_log`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `tbl_active_log`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;

ALTER TABLE `tbl_smtp_settings`
  ADD `smtp_type` VARCHAR(20) NOT NULL DEFAULT 'server' AFTER `id`,
  ADD `smtp_ghost` VARCHAR(150) NOT NULL AFTER `port_no`, 
  ADD `smtp_gemail` VARCHAR(150) NOT NULL AFTER `smtp_ghost`, 
  ADD `smtp_gpassword` TEXT NOT NULL AFTER `smtp_gemail`, 
  ADD `smtp_gsecure` VARCHAR(20) NOT NULL AFTER `smtp_gpassword`, 
  ADD `gport_no` INT(10) NOT NULL AFTER `smtp_gsecure`;

ALTER TABLE `tbl_settings` 
  ADD `envato_ios_purchase_code` VARCHAR(255) NOT NULL AFTER `envato_purchased_status`, 
  ADD `envato_ios_purchased_status` INT(2) NOT NULL DEFAULT '0' AFTER `envato_ios_purchase_code`;

CREATE TABLE `tbl_favorite` (
  `id` int(10) NOT NULL,
  `post_id` int(10) NOT NULL,
  `user_id` int(10) NOT NULL,
  `type` varchar(20) NOT NULL,
  `created_at` varchar(150) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

ALTER TABLE `tbl_favorite` ADD PRIMARY KEY (`id`);

ALTER TABLE `tbl_favorite` MODIFY `id` int(10) NOT NULL AUTO_INCREMENT;

ALTER TABLE `tbl_settings` 
  ADD `app_update_status` VARCHAR(10) NOT NULL DEFAULT 'false' AFTER `api_gif_post_order_by`, 
  ADD `app_new_version` DOUBLE NOT NULL DEFAULT '1' AFTER `app_update_status`, 
  ADD `app_update_desc` TEXT NOT NULL AFTER `app_new_version`, 
  ADD `app_redirect_url` TEXT NOT NULL AFTER `app_update_desc`, 
  ADD `cancel_update_status` VARCHAR(10) NOT NULL DEFAULT 'false' AFTER `app_redirect_url`; 